bug-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

bug#30363: 26.0.91; epa-decrypt-file not using epa-pinentry-mode


From: Noam Postavsky
Subject: bug#30363: 26.0.91; epa-decrypt-file not using epa-pinentry-mode
Date: Fri, 27 Apr 2018 07:32:11 -0400
User-agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)

tags 30363 fixed
close 30363 27.1
quit

Noam Postavsky <address@hidden> writes:

> Rajeev Narang <address@hidden> writes:
>
>> I think your patch should fix this function. I think mml-sec.el needs
>> to be patched too, on similar lines.

I pushed that patch to master [217202c084].

> Not sure if epa-pinentry-mode should apply to non-epa functions.  I'm
> remembering again my patch from Bug#23619 which enables loopback
> whenever the epg passphrase-callback is set [1].  Although that would
> not let the user disable loopback, so maybe it's not a good idea.

Still not sure about this, but it should be discussed in see Bug#26298.

[217202c084]: 2018-04-27 07:27:59 -0400
  * lisp/epa.el (epa-decrypt-file): Apply epa-pinentry-mode (Bug#30363).
  
https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=217202c084232f36d4fa0fead0f3aca21396d074





reply via email to

[Prev in Thread] Current Thread [Next in Thread]